net.minecraft.client.renderer

## Class ItemRenderer

- java.lang.Object
- - net.minecraft.client.renderer.ItemRenderer

-     public class ItemRenderer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MapItemRenderer` | `mapItemRenderer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemRenderer(Minecraft par1Minecraft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderItem(EntityLiving par1EntityLiving, ItemStack par2ItemStack, int par3)` Renders the item stack for being in an entity's hand Args: itemStack
    `static void` | `renderItemIn2D(Tessellator par0Tessellator, float par1, float par2, float par3, float par4, int par5, int par6, float par7)` Renders an item held in hand as a 2D texture with thickness
    `void` | `renderItemInFirstPerson(float par1)` Renders the active item in the player's hand when in first person mode.
    `void` | `renderOverlays(float par1)` Renders all the overlays that are in first person mode.
    `void` | `resetEquippedProgress()` Resets equippedProgress
    `void` | `resetEquippedProgress2()` Resets equippedProgress
    `void` | `updateEquippedItem()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapItemRenderer

          public final MapItemRenderer mapItemRenderer

  - ### Constructor Detail

    - #### ItemRenderer

          public ItemRenderer(Minecraft par1Minecraft)

  - ### Method Detail

    - #### renderItem

          public void renderItem(EntityLiving par1EntityLiving,
                        ItemStack par2ItemStack,
                        int par3)

      Renders the item stack for being in an entity's hand Args: itemStack

    - #### renderItemIn2D

          public static void renderItemIn2D(Tessellator par0Tessellator,
                            float par1,
                            float par2,
                            float par3,
                            float par4,
                            int par5,
                            int par6,
                            float par7)

      Renders an item held in hand as a 2D texture with thickness

    - #### renderItemInFirstPerson

          public void renderItemInFirstPerson(float par1)

      Renders the active item in the player's hand when in first person mode. Args: partialTickTime

    - #### renderOverlays

          public void renderOverlays(float par1)

      Renders all the overlays that are in first person mode. Args: partialTickTime

    - #### updateEquippedItem

          public void updateEquippedItem()

    - #### resetEquippedProgress

          public void resetEquippedProgress()

      Resets equippedProgress

    - #### resetEquippedProgress2

          public void resetEquippedProgress2()

      Resets equippedProgress